## eet 68843-1maemo1

=== doc/html/Makefile ===
DOCSET_NAME=org.enlightenment.Eet.docset
DOCSET_CONTENTS=$(DOCSET_NAME)/Contents
DOCSET_RESOURCES=$(DOCSET_CONTENTS)/Resources
DOCSET_DOCUMENTS=$(DOCSET_RESOURCES)/Documents
DOCSET_INSTALL=~/Library/Developer/Shared/Documentation/DocSets
XCODE_INSTALL=$(shell xcode-select -print-path)

all: docset

docset:
	mkdir -p $(DOCSET_DOCUMENTS)
	cp Nodes.xml $(DOCSET_RESOURCES)
	cp Tokens.xml $(DOCSET_RESOURCES)
	cp Info.plist $(DOCSET_CONTENTS)
	tar --exclude $(DOCSET_NAME) \
	    --exclude Nodes.xml \
	    --exclude Tokens.xml \
	    --exclude Info.plist \
	    --exclude Makefile -c -f - . \
	    | (cd $(DOCSET_DOCUMENTS); tar xvf -)
	$(XCODE_INSTALL)/usr/bin/docsetutil index $(DOCSET_NAME)
	rm -f $(DOCSET_DOCUMENTS)/Nodes.xml
	rm -f $(DOCSET_DOCUMENTS)/Info.plist
	rm -f $(DOCSET_DOCUMENTS)/Makefile
	rm -f $(DOCSET_RESOURCES)/Nodes.xml
	rm -f $(DOCSET_RESOURCES)/Tokens.xml

install: docset
	mkdir -p $(DOCSET_INSTALL)
	cp -R $(DOCSET_NAME) $(DOCSET_INSTALL)

uninstall:
	rm -rf $(DOCSET_INSTALL)

always:

## eet 0.9.10.041-maemo.3

=== debian/changelog ===
eet (0.9.10.041-maemo.3) unstable; urgency=low

  * Include simple-patchsys.mk to debian/rules

 -- Eduardo Lima (Etrunko) <eduardo.lima@indt.org.br>  Sun, 09 Dec 2007 12:39:07 -0300

eet (0.9.10.041-maemo.2) unstable; urgency=low

  * rules: use BUILD_DEB_OPTIONS for n770 and n8x0 variants

 -- Ed Bartosh <bartosh@gmail.com>  Sun,  9 Dec 2007 17:37:46 +0200

eet (0.9.10.041-maemo.1) unstable; urgency=low

  * Upstream updated to 0.9.10.041

 -- Ed Bartosh <bartosh@gmail.com>  Sun,  9 Sep 2007 23:07:34 +0300

eet (0.9.10.040-maemo.1) unstable; urgency=low

  * Maemo build

 -- Ed Bartosh <bartosh@gmail.com>  Sat, 18 Aug 2007 11:05:37 +0300

eet (0.9.10.040) unstable; urgency=low

  * a CVS snapshot release.

 -- E17 Debian Team <debian@edevelop.org>  Tue,  7 Mar 2006 13:30:15 +0000

=== debian/control ===
Source: eet
Section: libs
Priority: optional
Maintainer: Maemo-EFL Team <maemo-efl-devel@garage.maemo.org>
Build-Depends: debhelper (>> 4.2.0), cdbs (>= 0.4.23-1.1), automake1.7 | automaken | libtool, zlib1g-dev, libjpeg62-dev
Standards-Version: 3.6.2.2

Package: libeet0-dev
Section: libdevel
Architecture: any
Depends: libeet0 (= ${Source-Version}), zlib1g-dev, libjpeg-dev
Provides: libeet-dev
Conflicts: libeet-dev
Description: Enlightenment file chunk reading/writing library development files
 This package contains headers and static libraries for development with
 libeet.

Package: libeet0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Provides: libeet
Description: Enlightenment file chunk reading/writing library
 Eet is a tiny library designed to write an arbitary set of chunks of data to a
 file and optionally compress each chunk (very much like a zip file) and allow
 fast random-access reading of the file later on. It does not do zip as zip
 itself has more complexity than we need, and it was much simpler to implement
 this once here.
 .
 It's small, fast, and does a job. It's heavily commented and fully documented.

## eet 0.9.10.042-maemo1

=== debian/changelog ===
eet (0.9.10.042-maemo1) unstable; urgency=low

  * New upstream version.

 -- Eduardo Lima (Etrunko) <eduardo.lima@indt.org.br>  Fri, 15 Feb 2008 12:04:42 -0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_BUILD_ARCH  ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

ifneq (,$(findstring armel,$(DEB_BUILD_ARCH)))
	CFLAGS += -DNDEBUG=1 -fomit-frame-pointer -O2 -ffast-math -funsafe-math-optimizations -fno-math-errno -fsingle-precision-constant
	ifneq (,$(findstring n8x0,$(DEB_BUILD_OPTIONS)))
		CFLAGS += -mfpu=vfp -mfloat-abi=softfp -mcpu=arm1136jf-s
	endif
	ifneq (,$(findstring n770,$(DEB_BUILD_OPTIONS)))
		 CFLAGS += -mcpu=arm926ej-s
	endif
endif

## eet 0.9.10.042-maemo2

=== debian/changelog ===
eet (0.9.10.042-maemo2) unstable; urgency=low

  * New release.

 -- Eduardo Lima (Etrunko) <eduardo.lima@indt.org.br>  Fri, 07 Mar 2008 10:36:24 -0300

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
 Architecture: any
 Depends: libeet0 (= ${Source-Version}), zlib1g-dev, libjpeg-dev
 Provides: libeet-dev
-Conflicts: libeet-dev
 Description: Enlightenment file chunk reading/writing library development files
  This package contains headers and static libraries for development with
  libeet.

## eet 1.0.0-maemo1

=== debian/changelog ===
eet (1.0.0-maemo1) unstable; urgency=low

  * New upstream release.

 -- Eduardo Lima (Etrunko) <eduardo.lima@indt.org.br>  Tue, 06 May 2008 15:49:22 -0300

=== debian/control ===
Source: eet
Section: libs
Priority: optional
Maintainer: Maemo-EFL Team <maemo-efl-devel@garage.maemo.org>
Build-Depends: debhelper (>> 4.2.0), cdbs (>= 0.4.23-1.1), automake1.7 | automaken | libtool, zlib1g-dev, libjpeg62-dev
Standards-Version: 3.6.2.2
#Homepage: http://www.enlightenment.org

Package: libeet1-dev
Section: libdevel
Architecture: any
Depends: libeet1 (= ${Source-Version}), zlib1g-dev, libjpeg-dev
Replaces: libeet0-dev
Provides: libeet-dev
Description: Enlightenment DR17 file chunk reading/writing library development files
 Eet is a tiny library designed to write an arbitary set of chunks of data to a
 file and optionally compress each chunk (very much like a zip file) and allow
 fast random-access reading of the file later on. It does not do zip as zip
 itself has more complexity than we need, and it was much simpler to implement
 this once here.
 .
 This package contains headers and static libraries for development with libeet.
 libeet.

#Package: libeet-doc
#Section: doc
#Architecture: all
#Enhances: libeet-dev
#Description: libeet1 API documentation
# Eet is a tiny library designed to write an arbitary set of chunks of data to a
# file and optionally compress each chunk (very much like a zip file) and allow
# fast random-access reading of the file later on. It does not do zip as zip
# itself has more complexity than we need, and it was much simpler to implement
# this once here.
# .
# This package contains documentation (html and manpages) for development with
# libeet.

Package: libeet1
Architecture: any
Depends: ${shlibs:Depends}
Replaces: libeet0
Provides: libeet
Description: Enlightenment DR17 file chunk reading/writing library
 Eet is a tiny library designed to write an arbitary set of chunks of data to a
 file and optionally compress each chunk (very much like a zip file) and allow
 fast random-access reading of the file later on. It does not do zip as zip
 itself has more complexity than we need, and it was much simpler to implement
 this once here.
 .
 It's small, fast, and does a job. It's heavily commented and fully documented.

Package: eet1-bin
Architecture: any
Depends: ${shlibs:Depends}
Replaces: eet0-bin
Provides: eet-bin
Description: Enlightenment DR17 file chunk reading/writing utility
 Eet is a tiny library designed to write an arbitary set of chunks of data to a
 file and optionally compress each chunk (very much like a zip file) and allow
 fast random-access reading of the file later on. It does not do zip as zip
 itself has more complexity than we need, and it was much simpler to implement
 this once here.
 .
 This package contains eet, an utility that allows you to extract, insert,
 encode and decode config blobs created with libeet.

#Package: libeet1-dbg
#Architecture: any
#Section: libdevel
#Priority: extra
#Provides: libeet-dbg
#Replaces: libeet0-dbg
#Depends: libeet1 (= ${Source-Version})
#Description: Enlightenment DR17 file chunk reading/writing library - debug symbols
# Eet is a tiny library designed to write an arbitary set of chunks of data to a
# file and optionally compress each chunk (very much like a zip file) and allow
# fast random-access reading of the file later on. It does not do zip as zip
# itself has more complexity than we need, and it was much simpler to implement
# this once here
# .
# This package contains unstripped shared libraries. It is provided primarily
# to provide a backtrace with names in a debugger, this makes it somewhat easier
# to interpret core dumps. The libraries are installed in /usr/lib/debug and
# are automatically used by gdb.

## eet 1.0.0-maemo2

=== debian/changelog ===
eet (1.0.0-maemo2) unstable; urgency=low

  * debian/rules: Try to guess the target device in a bit more clever way.

 -- Eduardo Lima (Etrunko) <eduardo.lima@indt.org.br>  Thu, 03 Jul 2008 16:05:28 -0300

## eet 1.1.0%2bsvn38845-maemo1

=== debian/changelog ===
eet (1.1.0+svn38845-maemo1) unstable; urgency=low

  * New release.

 -- Eduardo Lima (Etrunko) <eduardo.lima@indt.org.br>  Thu, 29 Jan 2009 15:34:09 -0300

eet (1.1.0+svn38812-maemo1) unstable; urgency=low

  * New release.

 -- Eduardo Lima (Etrunko) <eduardo.lima@indt.org.br>  Tue, 27 Jan 2009 11:53:27 -0300

eet (1.0.1+svn36098-maemo1) unstable; urgency=low

  * Synched with svn repository.

 -- Eduardo Rocha <eduardo.rocha@openbossa.org>  Thu, 11 Sep 2008 16:30:00 -0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Maemo-EFL Team <maemo-efl-devel@garage.maemo.org>
-Build-Depends: debhelper (>> 4.2.0), cdbs (>= 0.4.23-1.1), automake1.7 | automaken | libtool, zlib1g-dev, libjpeg62-dev
+Build-Depends: debhelper (>> 4.2.0), cdbs (>= 0.4.23-1.1), automake1.7 | automaken | libtool, zlib1g-dev, libjpeg62-dev, libeina-dev (>= 0.0.1+svn38845-maemo1)
 Standards-Version: 3.6.2.2
 #Homepage: http://www.enlightenment.org
 
@@ -38,7 +38,7 @@
 
 Package: libeet1
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, libeina0 (>= 0.0.1+svn38845-maemo1)
 Replaces: libeet0
 Provides: libeet
 Description: Enlightenment DR17 file chunk reading/writing library

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk


DEB_BUILD_ARCH?=$(shell dpkg-architecture -qDEB_BUILD_ARCH)

ifeq ($(DEB_BUILD_ARCH),armel)
	COMMON_CFLAGS=-DNDEBUG=1 -fomit-frame-pointer -O2 -ffast-math -funsafe-math-optimizations -fno-math-errno -fsingle-precision-constant
	N770_CFLAGS=-mcpu=arm926ej-s
	N8x0_CFLAGS=-mfpu=vfp -mfloat-abi=softfp -mcpu=arm1136jf-s
	ifneq ($(DEB_BUILD_OPTIONS),)
		ifneq (,$(findstring n8x0,$(DEB_BUILD_OPTIONS)))
			SPECIFIC_CFLAGS=$(N8x0_CFLAGS)
		else
			ifneq (,$(findstring n770,$(DEB_BUILD_OPTIONS)))
				SPECIFIC_CFLAGS=$(N770_CFLAGS)
			endif
		endif
	endif
    ifeq ($(SPECIFIC_CFLAGS),)
        ifeq (0,$(shell test -e /etc/osso_software_version; echo $$?))
            SW_VERSION?=$(shell cat /etc/osso_software_version|cut -d_ -f2)
			ifneq (,$(findstring $(SW_VERSION),OSSO1.1 2008SE DIABLO))
				SPECIFIC_CFLAGS=$(N8x0_CFLAGS)
            endif
		endif
    	ifeq ($(SPECIFIC_CFLAGS),)
            # Our last hope is to look at the value returned by `sb-conf current`
            SB_CURRENT?=$(shell sb-conf current|cut -d_ -f1)
			ifneq (,$(findstring $(SB_CURRENT),GREGALE BORA CHINOOK DIABLO))
				ifeq ($(SB_CURRENT),GREGALE)
					SPECIFIC_CFLAGS=$(N770_CFLAGS)
				else
					SPECIFIC_CFLAGS=$(N8x0_CFLAGS)
				endif
			else
				COMMON_CFLAGS=
			endif
        endif
    endif
endif

CFLAGS+=$(COMMON_CFLAGS) $(SPECIFIC_CFLAGS)

## eet 1.2.0%2bsvn40978-maemo3

=== debian/changelog ===
eet (1.2.0+svn40978-maemo3) extras-devel; urgency=low

  * SVN snapshot release 40978

 -- Eduardo Lima (Etrunko) <eduardo.lima@indt.org.br>  Thu, 11 Jun 2009 23:31:48 -0300

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: libs
 Priority: optional
 Maintainer: Maemo-EFL Team <maemo-efl-devel@garage.maemo.org>
-Build-Depends: debhelper (>> 4.2.0), cdbs (>= 0.4.23-1.1), automake1.7 | automaken | libtool, zlib1g-dev, libjpeg62-dev, libeina-dev (>= 0.0.1+svn38845-maemo1)
-Standards-Version: 3.6.2.2
-#Homepage: http://www.enlightenment.org
+Uploaders: Eduardo Lima (Etrunko) <eduardo.lima@indt.org.br>
+Build-Depends: debhelper (>= 4), cdbs, maemo-cflags-cdbs-rules (>= 0.0.4), automake1.7 | automaken | libtool, zlib1g-dev, libjpeg62-dev, libeina-dev (>= 0.0.2.060+svn40978-maemo3)
+Standards-Version: 3.7.2
+Homepage: http://www.enlightenment.org
 
 Package: libeet1-dev
 Section: libdevel
 Architecture: any
-Depends: libeet1 (= ${Source-Version}), zlib1g-dev, libjpeg-dev
+Depends: ${shlibs:Depends}, libeet1 (= ${Source-Version}), zlib1g-dev, libjpeg-dev
 Replaces: libeet0-dev
 Provides: libeet-dev
 Description: Enlightenment DR17 file chunk reading/writing library development files
@@ -38,7 +39,7 @@
 
 Package: libeet1
 Architecture: any
-Depends: ${shlibs:Depends}, libeina0 (>= 0.0.1+svn38845-maemo1)
+Depends: ${shlibs:Depends}, libeina0 (>= 0.0.2.060+svn40978-maemo3)
 Replaces: libeet0
 Provides: libeet
 Description: Enlightenment DR17 file chunk reading/writing library
@@ -52,7 +53,7 @@
 
 Package: eet1-bin
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, libeet1 (= ${Source-Version})
 Replaces: eet0-bin
 Provides: eet-bin
 Description: Enlightenment DR17 file chunk reading/writing utility
@@ -71,7 +72,7 @@
 #Priority: extra
 #Provides: libeet-dbg
 #Replaces: libeet0-dbg
-#Depends: libeet1 (= ${Source-Version})
+#Depends: ${shlibs:Depends}, libeet1 (= ${Source-Version})
 #Description: Enlightenment DR17 file chunk reading/writing library - debug symbols
 # Eet is a tiny library designed to write an arbitary set of chunks of data to a
 # file and optionally compress each chunk (very much like a zip file) and allow

## eet 1.2.0%2bsvn41020-maemo1

=== debian/changelog ===
eet (1.2.0+svn41020-maemo1) extras-devel; urgency=low

  * SVN snapshot release 41020

 -- Eduardo Lima (Etrunko) <eduardo.lima@indt.org.br>  Fri, 12 Jun 2009 16:11:56 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Maemo-EFL Team <maemo-efl-devel@garage.maemo.org>
 Uploaders: Eduardo Lima (Etrunko) <eduardo.lima@indt.org.br>
-Build-Depends: debhelper (>= 4), cdbs, maemo-cflags-cdbs-rules (>= 0.0.4), automake1.7 | automaken | libtool, zlib1g-dev, libjpeg62-dev, libeina-dev (>= 0.0.2.060+svn40978-maemo3)
+Build-Depends: debhelper (>= 4), cdbs, maemo-cflags-cdbs-rules (>= 0.0.4), automake1.7 | automaken | libtool, zlib1g-dev, libjpeg62-dev, libeina0-dev (>= 0.0.2.060+svn41020-maemo1)
 Standards-Version: 3.7.2
 Homepage: http://www.enlightenment.org
 
@@ -39,7 +39,7 @@
 
 Package: libeet1
 Architecture: any
-Depends: ${shlibs:Depends}, libeina0 (>= 0.0.2.060+svn40978-maemo3)
+Depends: ${shlibs:Depends}, libeina0 (>= 0.0.2.060+svn41020-maemo1)
 Replaces: libeet0
 Provides: libeet
 Description: Enlightenment DR17 file chunk reading/writing library

## eet 1.2.0%2bsvn41038-maemo1

=== debian/changelog ===
eet (1.2.0+svn41038-maemo1) extras-devel; urgency=low

  * SVN snapshot release 41038

 -- Eduardo Lima (Etrunko) <eduardo.lima@indt.org.br>  Mon, 15 Jun 2009 00:47:58 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Maemo-EFL Team <maemo-efl-devel@garage.maemo.org>
 Uploaders: Eduardo Lima (Etrunko) <eduardo.lima@indt.org.br>
-Build-Depends: debhelper (>= 4), cdbs, maemo-cflags-cdbs-rules (>= 0.0.4), automake1.7 | automaken | libtool, zlib1g-dev, libjpeg62-dev, libeina0-dev (>= 0.0.2.060+svn41020-maemo1)
+Build-Depends: debhelper (>= 4), cdbs, maemo-cflags-cdbs-rules (>= 0.0.4), automake1.7 | automaken | libtool, zlib1g-dev, libjpeg62-dev, libeina0-dev (>= 0.0.2.060+svn41038-maemo1)
 Standards-Version: 3.7.2
 Homepage: http://www.enlightenment.org
 
@@ -39,7 +39,7 @@
 
 Package: libeet1
 Architecture: any
-Depends: ${shlibs:Depends}, libeina0 (>= 0.0.2.060+svn41020-maemo1)
+Depends: ${shlibs:Depends}, libeina0 (>= 0.0.2.060+svn41038-maemo1)
 Replaces: libeet0
 Provides: libeet
 Description: Enlightenment DR17 file chunk reading/writing library

## eet 1.2.2%2bsvn41533-maemo1

=== debian/changelog ===
eet (1.2.2+svn41533-maemo1) extras-devel; urgency=low

  * SVN snapshot release 41533

 -- Eduardo Lima (Etrunko) <eduardo.lima@indt.org.br>  Tue, 18 Aug 2009 18:50:24 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Maemo-EFL Team <maemo-efl-devel@garage.maemo.org>
 Uploaders: Eduardo Lima (Etrunko) <eduardo.lima@indt.org.br>
-Build-Depends: debhelper (>= 4), cdbs, maemo-cflags-cdbs-rules (>= 0.0.4), automake1.7 | automaken | libtool, zlib1g-dev, libjpeg62-dev, libeina0-dev (>= 0.0.2.060+svn41038-maemo1)
+Build-Depends: debhelper (>= 4), cdbs, maemo-cflags-cdbs-rules (>= 0.0.4), automake1.7 | automaken | libtool, zlib1g-dev, libjpeg62-dev, libeina0-dev (>= 0.0.2.062+svn41533-maemo1)
 Standards-Version: 3.7.2
 Homepage: http://www.enlightenment.org
 
@@ -39,7 +39,7 @@
 
 Package: libeet1
 Architecture: any
-Depends: ${shlibs:Depends}, libeina0 (>= 0.0.2.060+svn41038-maemo1)
+Depends: ${shlibs:Depends}, libeina0 (>= 0.0.2.062+svn41533-maemo1)
 Replaces: libeet0
 Provides: libeet
 Description: Enlightenment DR17 file chunk reading/writing library

## eet 1.4.0~beta%2b1.4.0-1maemo1

=== debian/changelog ===
eet (1.4.0~beta+1.4.0-1maemo1) fremantle; urgency=low

  * New upstream release
  * Bump Standards-Version, no change required
  * Update symbols file
  * Update debian/copyright to reflect the actual text from COPYING

 -- Albin Tonnerre <lutin@debian.org>  Sun, 03 Oct 2010 17:04:34 +0200

eet (1.3.2-1) unstable; urgency=low

  * New upstream release
  * Update symbols file with new symbols
  * Bump Standards-Version, no change required
  * Fix spelling mistakes in debian/control

 -- Albin Tonnerre <lutin@debian.org>  Thu, 22 Jul 2010 20:16:05 +0200

eet (1.2.3-1) unstable; urgency=low

  * New upstream snapshot
    - No longer FTBFS with binutils-gold (Closes: #554317)
  * Update libeet1.symbols with new symbols from 1.2.3
  * Tighten build-dependency on eina
  * debian/control: update my email address

 -- Albin Tonnerre <lutin@debian.org>  Thu, 03 Dec 2009 16:09:20 +0100

eet (1.2.2-2) unstable; urgency=low

  * Force build against eina >= 0.0.2.062
  * Bump Standards-Version to 3.8.3

 -- Albin Tonnerre <albin.tonnerre@gmail.com>  Thu, 27 Aug 2009 21:47:46 +0200

eet (1.2.2-1) unstable; urgency=low

  * New upstream release
  * Update libeet1.symbols with a new symbol: eet_node_struct_child_new

 -- Albin Tonnerre <albin.tonnerre@gmail.com>  Sun, 02 Aug 2009 17:13:48 +0200

eet (1.2.1-1) unstable; urgency=low

  * New upstream release
  * Update libeet-dbg description to fit in 80 characters
  * Update symbols file with new symbol
  * Update Standards-Version to 3.8.2, no change required
  * Upload eet 1.2 to unstable

 -- Albin Tonnerre <albin.tonnerre@gmail.com>  Sat, 20 Jun 2009 17:23:03 +0200

eet (1.2.0-2) experimental; urgency=low

  * Enable gnutls support:
    - Build-Depend on libgnutls-dev and add it as dependency to libeet-dev
    - Add --enable-gnutls to debian/rules

 -- Albin Tonnerre <albin.tonnerre@gmail.com>  Sat, 30 May 2009 22:52:02 +0200

eet (1.2.0-1) experimental; urgency=low

  * Bump Standards-Version to 3.8.1, no change required
  * Build-depend on doxygen and use the "make doc" target to build the
    doc
  * Add build-depend on libeina-dev, this is now required
  * [lintian] Add ${misc:Depends} to packages dependencies
  * Move libevas-dbg to the debug section
  * Update debian/watch to point to the releases, not the SVN snaspshots
  * Add new symbols to libeet1.symbols
  * Improve descriptions wording a little bit

 -- Albin Tonnerre <albin.tonnerre@gmail.com>  Fri, 08 May 2009 18:28:11 +0200

eet (1.1.0-2) unstable; urgency=low

  * Explicitely disable openssl support
  * Bump Standards-Version to 3.8.1, no change required
  * Move libeet-dbg to the debug section
  * [lintian] Add ${misc:Depends} to packages dependencies

 -- Albin Tonnerre <albin.tonnerre@gmail.com>  Sat, 30 May 2009 22:56:48 +0200

eet (1.1.0-1) unstable; urgency=low

  * New upstream release
  * debian/rules:
    - No longer delete eet_docs.tar.gz in clean, we no longer generate it.
    - Add support for building and running unit tests. They are disabled for
      now, as they are not 100% functionnal yet.
    - Stop removing doc/man/man3/todo.3, this is now shipped in the upstream
      tarball. Explicitely list the manpages we want in DEB_INSTALL_MANPAGES
      instead.
    - CFLAGS += -fvisibility=hidden so that private symbols don't get exported
  * debian/libeet1.symbols: Add a symbols file for libeet1.
  * debian/control:
    - Bump Standards-Version to 3.8.0
    - Drop Build-Dependency on doxygen as docs are now in the upstream tarball.
    - Build-Depend on dpkg-dev (>= 1.14.8) as we are using a symbols file

 -- Albin Tonnerre <albin.tonnerre@gmail.com>  Sat, 27 Sep 2008 13:47:11 +0200

eet (1.0.1-1) unstable; urgency=low

  * New upstream release

 -- Jan Lübbe <jluebbe@debian.org>  Tue, 20 May 2008 18:21:30 +0200

eet (1.0.0-1) unstable; urgency=low

  [ Albin Tonnerre ]
  * libeet-dev depends on libjpeg62-dev for static linking
  * Handle soname change
  * Upload to unstable

  [ Jan Lübbe ]
  * New upstream release
  * Do not remove the documentation shipped in the tarball

 -- Jan Lübbe <jluebbe@debian.org>  Mon, 21 Apr 2008 11:32:41 +0200

eet (0.9.10.042-1) experimental; urgency=low

  * Initial release (Closes: #461950)

 -- Albin Tonnerre <albin.tonnerre@gmail.com>  Fri, 25 Jan 2008 12:21:30 +0100

=== debian/control ===
Source: eet
Section: libs
Priority: optional
Maintainer: Luca Vaudano <vaudano@gmail.com>
XSBC-Original-Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
Uploaders: Albin Tonnerre <lutin@debian.org>, Niv Sardi <xaiki@debian.org>,
 Jan Lübbe <jluebbe@debian.org>
Build-Depends: dpkg-dev (>= 1.14.8), debhelper (>= 5), cdbs, zlib1g-dev, libjpeg62-dev, doxygen, libeina-dev (>= 1.0.0~), libgnutls-dev
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/pkg-e/libs/eet.git
Vcs-Browser: http://git.debian.org/?p=pkg-e/libs/eet.git
Homepage: http://www.enlightenment.org

Package: libeet-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libeet1 (= ${binary:Version}), libjpeg62-dev, libeina-dev (>= 1.0.0~), libgnutls-dev, pkg-config
Recommends: libeet-doc
Description: Enlightenment DR17 file chunk reading/writing library development files
 Eet is a tiny library designed to write an arbitrary set of chunks of data to a
 file and optionally compress each chunk (very much like a zip file) and allows
 fast random-access reading of the file later on. It does not do zip as zip
 itself has more complexity than needed, and it was much simpler to implement
 this once here.
 .
 This package contains headers and static libraries for development with libeet.

Package: libeet-doc
Section: doc
Architecture: all
Enhances: libeet-dev
Depends: ${misc:Depends}
Description: libeet1 API documentation
 Eet is a tiny library designed to write an arbitrary set of chunks of data to a
 file and optionally compress each chunk (very much like a zip file) and allows
 fast random-access reading of the file later on. It does not do zip as zip
 itself has more complexity than needed, and it was much simpler to implement
 this once here.
 .
 This package contains documentation (html and manpages) for development with
 libeet.

Package: libeet1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Enlightenment DR17 file chunk reading/writing library
 Eet is a tiny library designed to write an arbitrary set of chunks of data to a
 file and optionally compress each chunk (very much like a zip file) and allows
 fast random-access reading of the file later on. It does not do zip as zip
 itself has more complexity than needed, and it was much simpler to implement
 this once here.
 .
 It's small, fast, and does a job. It's heavily commented and fully documented.

Package: libeet-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Enlightenment DR17 file chunk reading/writing utility
 Eet is a tiny library designed to write an arbitrary set of chunks of data to a
 file and optionally compress each chunk (very much like a zip file) and allows
 fast random-access reading of the file later on. It does not do zip as zip
 itself has more complexity than needed, and it was much simpler to implement
 this once here.
 .
 This package contains eet, an utility that allows you to extract, insert,
 encode and decode config blobs created with libeet.

Package: libeet-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, libeet1 (= ${binary:Version})
Description: E17 file chunk reading/writing library - debug symbols
 Eet is a tiny library designed to write an arbitrary set of chunks of data to a
 file and optionally compress each chunk (very much like a zip file) and allows
 fast random-access reading of the file later on. It does not do zip as zip
 itself has more complexity than needed, and it was much simpler to implement
 this once here
 .
 This package contains unstripped shared libraries. It is provided primarily
 to provide a backtrace with names in a debugger, this makes it somewhat easier
 to interpret core dumps. The libraries are installed in /usr/lib/debug and
 are automatically used by gdb.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

CFLAGS += -fvisibility=hidden

#Build the unit tests binary and run it. Needs 'check' and 'pkg-config' as additionnal build-depends
#build:
#	make check
#	make check-local

build/libeet-doc::
	$(MAKE) doc

install/libeet-doc::
	cp -R $(DEB_SRCDIR)/doc/html debian/libeet-doc/usr/share/doc/libeet-doc/

DEB_INSTALL_MANPAGES_libeet-doc := $(DEB_SRCDIR)/doc/man/man3/E*.3 $(DEB_SRCDIR)/doc/man/man3/e*.3
DEB_INSTALL_MANPAGES_libeet-bin := $(DEB_SRCDIR)/debian/eet.1
DEB_DH_STRIP_ARGS := --dbg-package=libeet-dbg
DEB_CONFIGURE_EXTRA_FLAGS := --disable-rpath  \
                             --enable-gnutls # --enable-tests

## eet 1.5.0-1maemo1

=== debian/changelog ===
eet (1.5.0-1maemo1) fremantle; urgency=low

  * 

 -- Luca Vaudano <vaudano@gmail.com>  Wed,  7 Dec 2011 16:21:21 -0500

## eet 1.5.0-1maemo2

=== debian/changelog ===
eet (1.5.0-1maemo2) fremantle; urgency=low

  * Fix dependencies 

 -- Luca Vaudano <vaudano@gmail.com>  Thu, 29 Dec 2011 11:44:04 -0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
 Uploaders: Albin Tonnerre <lutin@debian.org>, Niv Sardi <xaiki@debian.org>,
  Jan Lübbe <jluebbe@debian.org>
-Build-Depends: dpkg-dev (>= 1.14.8), debhelper (>= 5), cdbs, zlib1g-dev, libjpeg62-dev, doxygen, libeina-dev (>= 1.0.0~), libgnutls-dev
+Build-Depends: dpkg-dev (>= 1.14.8), debhelper (>= 5), cdbs, zlib1g-dev, libjpeg62-dev, doxygen, libeina-dev (>= 1.1.0~), libgnutls-dev
 Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/pkg-e/libs/eet.git
 Vcs-Browser: http://git.debian.org/?p=pkg-e/libs/eet.git
@@ -14,7 +14,7 @@
 Package: libeet-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libeet1 (= ${binary:Version}), libjpeg62-dev, libeina-dev (>= 1.0.0~), libgnutls-dev, pkg-config
+Depends: ${misc:Depends}, libeet1 (= ${binary:Version}), libjpeg62-dev, libeina-dev (>= 1.1.0~), libgnutls-dev, pkg-config
 Recommends: libeet-doc
 Description: Enlightenment DR17 file chunk reading/writing library development files
  Eet is a tiny library designed to write an arbitrary set of chunks of data to a

## eet 1.6.1-1maemo1

=== debian/changelog ===
eet (1:1.6.1-1maemo1) lucid; urgency=low

  * Epoch bit due to mistake in the version number of previous package  

 -- maemo <maemo@maemo-desktop>  Fri, 15 Jun 2012 10:14:51 -0400

eet (1.6.1-1maemo1) lucid; urgency=low

  * Updated to the version 1.6.1

 -- maemo <maemo@maemo-desktop>  Thu, 14 Jun 2012 11:05:38 +0100

eet (68843-1maemo1) fremantle; urgency=low

  * Updated to 68843 revision 

 -- Luca Vaudano <vaudano@gmail.com>  Fri, 23 Mar 2012 08:01:14 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
 Uploaders: Albin Tonnerre <lutin@debian.org>, Niv Sardi <xaiki@debian.org>,
  Jan Lübbe <jluebbe@debian.org>
-Build-Depends: dpkg-dev (>= 1.14.8), debhelper (>= 5), cdbs, zlib1g-dev, libjpeg62-dev, doxygen, libeina-dev (>= 1.1.0~), libgnutls-dev
+Build-Depends: dpkg-dev (>= 1.14.8), debhelper (>= 5), cdbs, zlib1g-dev, libjpeg62-dev, doxygen, libeina-dev (>= 1.2.0), libgnutls-dev
 Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/pkg-e/libs/eet.git
 Vcs-Browser: http://git.debian.org/?p=pkg-e/libs/eet.git
@@ -14,7 +14,7 @@
 Package: libeet-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libeet1 (= ${binary:Version}), libjpeg62-dev, libeina-dev (>= 1.1.0~), libgnutls-dev, pkg-config
+Depends: ${misc:Depends}, libeet1 (= ${binary:Version}), libjpeg62-dev, libeina-dev (>= 1.2.0), libgnutls-dev, pkg-config
 Recommends: libeet-doc
 Description: Enlightenment DR17 file chunk reading/writing library development files
  Eet is a tiny library designed to write an arbitrary set of chunks of data to a

## eet 1.7.7

=== debian/changelog ===
eet (1.7.7-2) unstable; urgency=low

  * add patches/02_eet_suite_fixes: fix FTBFS (Closes: #713048)
    This is cherry-pick of upstream commits 33f6fa78/33cca300 and fixes the
    testsuite issues that caused FTBFS on armel/armhf/kfreebsd/hurd
  * debian/control: move doxygen to Build-Depends-Indep (Closes: #706801)

 -- Albin Tonnerre <lutin@debian.org>  Sat, 06 Jul 2013 15:23:07 +0200

eet (1.7.7-1) unstable; urgency=low

  * New upstream release
  * debian/patches: drop endianness and alignment fixes, applied upstream
  * debian/control: update URI in the VCS-* fields

 -- Albin Tonnerre <lutin@debian.org>  Sun, 16 Jun 2013 18:13:26 +0200

eet (1.7.4-3) unstable; urgency=low

  * Upload to unstable

 -- Albin Tonnerre <lutin@debian.org>  Sat, 11 May 2013 12:40:54 +0200

eet (1.7.4-2) experimental; urgency=low

  * add patches/02_eet_image_fix_bigend.diff.
    - Fix incorrect data on all bigend architectures
  * add patches/03_eet_cipher_fix_alignement.diff.
    - Derefering an unaligned int* caused issues on SPARC
  * debian/rules: increase testsuite timeout to help slow buildds

 -- Albin Tonnerre <lutin@debian.org>  Sun, 13 Jan 2013 16:50:05 +0100

eet (1.7.4-1) experimental; urgency=low

  * New upstream release
  * debian/libeet1.symbols: update with symbols from the new release
  * Switch to '3.0 (quilt)' source format
  * Add Multi-Arch support and switch from CDBS to dh
  * Bump Standards-Version, no change required
  * Enable the testsuite, it should run fine now
  * Add a new patch to allow running the testsuite without enabling coverage

 -- Albin Tonnerre <lutin@debian.org>  Wed, 26 Dec 2012 14:28:58 +0100

eet (1.6.0-1) unstable; urgency=low

  * New upstream release
  * Acknowledge NMU for eet 1.4.0-2.1; Thanks Julien Cristau
  * debian/rules: doc/man was removed upstream, stop trying to install it
  * debian/libeet1.symbols: update with symbols from the new release

 -- Albin Tonnerre <lutin@debian.org>  Sun, 13 May 2012 12:23:23 +0200

eet (1.4.0-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Use libjpeg-dev instead of libjpeg62-dev (closes: #629961).

 -- Julien Cristau <jcristau@debian.org>  Mon, 25 Jul 2011 22:43:50 +0200

eet (1.4.0-2) unstable; urgency=low

  * Actually upload eet 1.4.0, not 1.4.0 beta
    - eet 1.4.0-1 was mistakenly uploaded with the contents of eet 1.4.0-beta,
      so let's upload the actual 1.4.0 release

 -- Albin Tonnerre <lutin@debian.org>  Sun, 20 Mar 2011 15:08:29 +0100

eet (1.4.0-1) unstable; urgency=low

  * Upstream release 1.4.0
    - Fix FTBFS with ld --no-add-needed (Closes: #554317)

 -- Albin Tonnerre <lutin@debian.org>  Sat, 12 Feb 2011 20:22:08 +0100

eet (1.4.0~beta+1.3.2-1) unstable; urgency=low

  * eet 1.4.0~beta-1 erroneously got into unstable. This upload reverts eet to
    the version it previously was in unstable, 1.3.2

 -- Albin Tonnerre <lutin@debian.org>  Sun, 17 Oct 2010 15:30:11 +0200

eet (1.4.0~beta+1.4.0-1) experimental; urgency=low

  * New upstream release
  * Bump Standards-Version, no change required
  * Update symbols file
  * Update debian/copyright to reflect the actual text from COPYING

 -- Albin Tonnerre <lutin@debian.org>  Sun, 03 Oct 2010 17:04:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: eet
 Section: libs
 Priority: optional
-Maintainer: Luca Vaudano <vaudano@gmail.com>
-XSBC-Original-Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
+Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
 Uploaders: Albin Tonnerre <lutin@debian.org>, Niv Sardi <xaiki@debian.org>,
  Jan Lübbe <jluebbe@debian.org>
-Build-Depends: dpkg-dev (>= 1.14.8), debhelper (>= 5), cdbs, zlib1g-dev, libjpeg62-dev, doxygen, libeina-dev (>= 1.2.0), libgnutls-dev
-Standards-Version: 3.9.1
-Vcs-Git: git://git.debian.org/pkg-e/libs/eet.git
-Vcs-Browser: http://git.debian.org/?p=pkg-e/libs/eet.git
+Build-Depends: dpkg-dev (>= 1.14.8), debhelper (>= 9), zlib1g-dev, libjpeg-dev,
+ libeina-dev (>= 1.2.0), libgnutls-dev, pkg-config, check
+Build-Depends-Indep: doxygen
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/pkg-e/libs/eet.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-e/libs/eet.git
 Homepage: http://www.enlightenment.org
 
 Package: libeet-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libeet1 (= ${binary:Version}), libjpeg62-dev, libeina-dev (>= 1.2.0), libgnutls-dev, pkg-config
+Depends: ${misc:Depends}, libeet1 (= ${binary:Version}), libjpeg-dev, libeina-dev (>= 1.2.0), libgnutls-dev, pkg-config
 Recommends: libeet-doc
 Description: Enlightenment DR17 file chunk reading/writing library development files
  Eet is a tiny library designed to write an arbitrary set of chunks of data to a
@@ -42,6 +43,7 @@
 
 Package: libeet1
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Enlightenment DR17 file chunk reading/writing library
  Eet is a tiny library designed to write an arbitrary set of chunks of data to a

## eet 1.7.9

=== debian/changelog ===
eet (1.7.9-1) unstable; urgency=low

  * New upstream release
  * Update Build-Depends to use EFL 1.7.9
  * patches/02_eet_suite_fixes: remove, applied upstream
  * debian/libeet{1,-dev}.install: be more specific about what we install

 -- Albin Tonnerre <lutin@debian.org>  Sat, 09 Nov 2013 13:26:15 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Albin Tonnerre <lutin@debian.org>, Niv Sardi <xaiki@debian.org>,
  Jan Lübbe <jluebbe@debian.org>
 Build-Depends: dpkg-dev (>= 1.14.8), debhelper (>= 9), zlib1g-dev, libjpeg-dev,
- libeina-dev (>= 1.2.0), libgnutls-dev, pkg-config, check
+ libeina-dev (>= 1.7.9), libgnutls-dev, pkg-config, check
 Build-Depends-Indep: doxygen
 Standards-Version: 3.9.4
 Vcs-Git: git://anonscm.debian.org/pkg-e/libs/eet.git
@@ -15,7 +15,7 @@
 Package: libeet-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libeet1 (= ${binary:Version}), libjpeg-dev, libeina-dev (>= 1.2.0), libgnutls-dev, pkg-config
+Depends: ${misc:Depends}, libeet1 (= ${binary:Version}), libjpeg-dev, libeina-dev (>= 1.7.9), libgnutls-dev, pkg-config
 Recommends: libeet-doc
 Description: Enlightenment DR17 file chunk reading/writing library development files
  Eet is a tiny library designed to write an arbitrary set of chunks of data to a

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS += -fvisibility=hidden

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	--enable-gnutls \
	--enable-tests

override_dh_auto_build-indep:
	$(MAKE) doc

override_dh_auto_test-indep:
override_dh_auto_test-arch:
	CK_DEFAULT_TIMEOUT=120 $(MAKE) check

override_dh_strip:
	dh_strip --dbg-package=libeet-dbg

=== debian/watch ===
version=3
http://download.enlightenment.org/releases/eet-(.*)\.tar\.gz

## eet 68843-1maemo1

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: eet
 Section: libs
 Priority: optional
-Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
+Maintainer: Luca Vaudano <vaudano@gmail.com>
+XSBC-Original-Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
 Uploaders: Albin Tonnerre <lutin@debian.org>, Niv Sardi <xaiki@debian.org>,
  Jan Lübbe <jluebbe@debian.org>
-Build-Depends: dpkg-dev (>= 1.14.8), debhelper (>= 9), zlib1g-dev, libjpeg-dev,
- libeina-dev (>= 1.7.9), libgnutls-dev, pkg-config, check
-Build-Depends-Indep: doxygen
-Standards-Version: 3.9.4
-Vcs-Git: git://anonscm.debian.org/pkg-e/libs/eet.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-e/libs/eet.git
+Build-Depends: dpkg-dev (>= 1.14.8), debhelper (>= 5), cdbs, zlib1g-dev, libjpeg62-dev, doxygen, libeina-dev (>= 1.1.99.68843), libgnutls-dev
+Standards-Version: 3.9.1
+Vcs-Git: git://git.debian.org/pkg-e/libs/eet.git
+Vcs-Browser: http://git.debian.org/?p=pkg-e/libs/eet.git
 Homepage: http://www.enlightenment.org
 
 Package: libeet-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libeet1 (= ${binary:Version}), libjpeg-dev, libeina-dev (>= 1.7.9), libgnutls-dev, pkg-config
+Depends: ${misc:Depends}, libeet1 (= ${binary:Version}), libjpeg62-dev, libeina-dev (>= 1.1.99.68843), libgnutls-dev, pkg-config
 Recommends: libeet-doc
 Description: Enlightenment DR17 file chunk reading/writing library development files
  Eet is a tiny library designed to write an arbitrary set of chunks of data to a
@@ -43,7 +42,6 @@
 
 Package: libeet1
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Enlightenment DR17 file chunk reading/writing library
  Eet is a tiny library designed to write an arbitrary set of chunks of data to a

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

CFLAGS += -fvisibility=hidden

#Build the unit tests binary and run it. Needs 'check' and 'pkg-config' as additionnal build-depends
#build:
#	make check
#	make check-local

build/libeet-doc::
	$(MAKE) doc

install/libeet-doc::
	cp -R $(DEB_SRCDIR)/doc/html debian/libeet-doc/usr/share/doc/libeet-doc/

DEB_INSTALL_MANPAGES_libeet-bin := $(DEB_SRCDIR)/debian/eet.1
DEB_DH_STRIP_ARGS := --dbg-package=libeet-dbg
DEB_CONFIGURE_EXTRA_FLAGS := --disable-rpath  \
			     --disable-openssl \
			     --enable-gnutls \
			     --disable-amalgamation \
			     --disable-old-eet-file-format
